Android TV Launcher Pushed to Google Play

Over the past decade, the tech universe has seen two drastic and widely contrasting changes with … more

Cyngn, OnePlus, Micromax – The Legal Battle

Recently, a battle has been waging in India over the rights to distribute the commercial … more

Lean Mean Battery Power Saving App Review

We talk a lot about battery topics here at XDA TV. We talk about everything from Power Banks to USB … more

Android 5.1 Possibly Coming February 2015

Google released Android 5.0 just over a month ago, and since then Lollipop has been trying to … more

Welcome to XDA

Search to go directly to your device's forum

Register an account

Unlock full posting privileges

Ask a question

No registration required
Post Reply

[Q] HELP! Galaxy S4 on MF3 | Play Store Crash

OP kvdence

1st July 2014, 08:08 AM   |  #1  
OP Junior Member
Thanks Meter: 0
 
7 posts
Join Date:Joined: May 2014
More
Hey, everytime I open my Google Play Store (which I had to get from the internet) it opens for a while, until I try to download something and then is crashes. After it crashes by trying to download something and I try to re-open it, it just crashes on startup and I get a message saying "Unfortunately, Google Play Store has stopped." So this has been happening since yesterday when I used Clean Master to clear up some space on my device, I also link some apps to play using Titanium Backup (don't know if that has anything to do with it) and I attempted to uninstall Google+, and was successful also I applied a custom patch to the Play Store when it worked using lucky patcher. I searched everywhere on the internet and the only solutions i could find are:

1) Clear Play Store and Google Play Services Caches.
2) Enable Download Manager (Which I can't seem to find but I'm not entirely sure on that one so I'll post screenies)
The download manager shown in the screen cap below has no enable or disable option with it)
3) Wipe Android Device completely (Which I did and problem still persisted)
4) Re-Flash ROM. (Which I also did and the problem still continues

So, Im on a completely stock firmware and as soon as I finish going through the setup process feeling relieved I see a notification in my notification shade from the calendar app stating that Google Play Services isn't enabled or something and when I click on the notification the phone fumbles for a second and then the calendar app crashes. After a few minutes, while I was searching for answers, I got my email notifications and everything seemed to be fine. UNTIL I installed the Google Play Store once again, only to have it open and my first attempt to download an app made it crash. And now I'm back to square one. I cannot find "Download Manager" at the bottom of my application list. But I do have two applications under "D" in the App Manager, both called "Downloads".

I'm able to install APKs off the browser just by downloading and installing as normal, and my accounts seem to be working fine. Except the error in the google account "sync error" followed by a message at the bottom of the screen saying sync services are currently unavailable. I'm able to use Youtube and other apps easily without a problem. The only problem is my Play Store. And yes I've already re-cleared the cache and even just cleared the data from both play services and play store in application manager. Problem still persists.

Previous Errors:

1) Device is not provisioned data services error (Which I assume I've fixed because I don't get that error anymore)
2) Google Play Services not supported by your device. (Whenever I opened Youtube, but that doesn't appear anymore)

I'm really out of options this time, I was stumped after I factory restored with ODIN successfully and still was unable to fix my problem. Could this be a Google problem or am I screwed? Really need answers, so THANK YOU VERY MUCH in advance.

DEVICE INFORMATION:
SAMSUNG SGH-I337
ANDROID 4.2.2
BASEBAND I337UCUAMF3
OFFICIAL DEVICE STATUS

Screenies:

tinypic.com/view.php?pic=ajxl09&s=8#.U7JUJpRdWSo
Last edited by kvdence; 1st July 2014 at 08:30 AM.
1st July 2014, 09:07 AM   |  #2  
OP Junior Member
Thanks Meter: 0
 
7 posts
Join Date:Joined: May 2014
More
UPDATE: I was also able to find my "secdownloadprovider.apk" in my system/app but when I click install is says application not installed...

P.S: If there are any files you would like me to search my device for please say so, I'm becoming really desperate.
1st July 2014, 11:34 AM   |  #3  
OP Junior Member
Thanks Meter: 0
 
7 posts
Join Date:Joined: May 2014
More
New problem
Okay so I decided to wipe the phone once more and re-install the ROM (Which is a stock MF3 ROM that I got from XDA) and the problem still continues, I've been up all night trying to figure this out. Now apps like Google+ (Which I hade to install from the internet on my device) say that the Google Play Services on my device is not supported by my device? What does this mean? It used to happen with the newest version of youtube, now im currently using the old version of youtube which has no problem, and im pretty sure if i were to update it id get the same error. Someone pelase give me some insight. What can possibly be done?
1st July 2014, 08:23 PM   |  #4  
DeadlySin9's Avatar
Senior Member
Thanks Meter: 650
 
1,305 posts
Join Date:Joined: Sep 2012
Donate to Me
More
Quote:
Originally Posted by kvdence

Okay so I decided to wipe the phone once more and re-install the ROM (Which is a stock MF3 ROM that I got from XDA) and the problem still continues, I've been up all night trying to figure this out. Now apps like Google+ (Which I hade to install from the internet on my device) say that the Google Play Services on my device is not supported by my device? What does this mean? It used to happen with the newest version of youtube, now im currently using the old version of youtube which has no problem, and im pretty sure if i were to update it id get the same error. Someone pelase give me some insight. What can possibly be done?

You used all files in the full MF3 Odin? I don't know why it wouldn't work, but your only option may be updating to MK2. It's a very peculiar issue. You could also wipe data in stock recovery and then flash the Odin file to make sure it's as clear as possible.

Sent from my SGH-I337 running GPE
3rd July 2014, 05:47 PM   |  #5  
OP Junior Member
Thanks Meter: 0
 
7 posts
Join Date:Joined: May 2014
More
Quote:
Originally Posted by DeadlySin9

You used all files in the full MF3 Odin? I don't know why it wouldn't work, but your only option may be updating to MK2. It's a very peculiar issue. You could also wipe data in stock recovery and then flash the Odin file to make sure it's as clear as possible.

Sent from my SGH-I337 running GPE

FIXED IT

After much searching for the problem I gave up and decided to try reloading the stock OS once more and it worked that time... I still have no idea what caused the problem...
24th October 2014, 03:40 PM   |  #6  
Junior Member
Thanks Meter: 1
 
10 posts
Join Date:Joined: May 2014
Similar issue
Did you ever figure out what the problem was? I'm haing a similar issue with NI1. I'm using titanium backup to restore many of my apps and don't know if it's something I'm doing there that's causing the problem to keep coming back.

I've reloaded stock rom via Safestrap at least twice. But the problem is still there. I can't be certain but i think it may have to do with the syncing of contacts or data with google.
24th October 2014, 11:17 PM   |  #7  
You could always try to reflash the gapps package... If you freeze a part of the gapps package like google services framework, other apps seem to not want to work.
Links to gapps
http://wiki.cyanogenmod.org/w/Google_Apps
24th October 2014, 11:42 PM   |  #8  
jd1639's Avatar
Recognized Contributor
Minnetonka, MN
Thanks Meter: 3,906
 
11,197 posts
Join Date:Joined: Sep 2012
Quote:
Originally Posted by autonomousperson

You could always try to reflash the gapps package... If you freeze a part of the gapps package like google services framework, other apps seem to not want to work.
Links to gapps
http://wiki.cyanogenmod.org/w/Google_Apps

Gapps package? This is the i337. There is no gapps package for the i337 on mf3 or nl1

Sent from my Nexus 5 using XDA Free mobile app

Post Reply Subscribe to Thread
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes